Description
Dear Mbak Yomma,

Jurnal Accounting yg terbentuk dari transaksi Sales di CRM ingin bisa membaca Shipping Method (Metode Pengiriman) yg dipilih di

CRM.

Jadi jurnal yang terbentuk itu ada dua case; Case 1 apabila dia memilih metode pengiriman selain Lion Parcel, Case 2 apabila dia

memilih metode pengiriman Lion Parcel.

-Untuk yg Case 1 itu biaya pengirimannya dibebankan ke customer

-Untuk yg Case 2 biaya pengirimannya tidak dibebankan ke customer

Untuk contoh penjurnalannya sudah saya buat di file Excel yg saya attach di bawah.

Di PFILOINTEGRATE sudah saya tambahkan kolom ShippingMethod, dan sudah saya mapping juga.

Tabel Parameter: CSHIPPINGMETHOD
Terimakasih.

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

History

#1 - 04/07/2025 10:01 AM - Kezia Pawitra Yulianti
- Due date set to 04/09/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 04/15/2025 03:20 PM - Tri Rizqiaty
- File MinovalS.MinovaES.Business.Logistic.dll added

- Status changed from Assigned to Developing

Fixing :
Update folder AP12/bin : MinovalS.MinovaES.Business.Logistic.dll
#3 - 04/15/2025 03:20 PM - Tri Rizqiaty

- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

#4 - 04/16/2025 04:29 PM - haykal haykal
- Status changed from QA Test to Closed

#5 - 06/05/2025 11:20 AM - haykal haykal
- File Jurnal Shipping Method Lion Parcel.png added
- File Jurnal Shipping Method bukan Lion Parcel.png added

07/02/2025
https://tulisan-dev.minovais.com/

- Status changed from Closed to Assigned

- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Mbak Yomma,
Untk case ini 'kan waktu itu sudah clear. Aku cek waktu itu hasil jurnalnya sudah benar juga.

Namun setelah ada perbaikan jurnal yg PPN menghitung dari Shipping Cost juga dan perbaikan lain-lainnya, kayaknya utk yg ini gak ikut kecatch-up
juga.

Jadi tadi aku ngetest pakai Shipping Method Lion Parcel. Yang mana di jurnalnya GLAccount Penjualan Jasa seharusnya tidak terbentuk seperti di
file Excel yg aku attach di redmine ini.

Memang di jurnalnya sudah benar Mbak, GLAccount Penjualan Jasa nya tidak muncul. Namun angka di jurnalnya tidak balance (Foto 1).
Untuk komparasi, aku kasih contoh juga hasil jurnal yg Shipping Methodnya selain Lion Parcel dan hasilnya sudah balance (Foto 2)

Jurnal yg menggunakan Shipping Method Lion Parcel: DocNo AR 00000740
Jurnal yg menggunakan Shipping Method selain Lion Parcel: DocNo AR 00000741

Jadi kalau kita ambil contoh dari yg Foto 1, seharusnya angka yg di GLAccount 1-102103 Piutang Usaha - BCA itu dikurang dulu dengan nilai di
GLAccount 4-3 Penjualan Jasa (Foto 2)

Jadi angka di GLAccount 1-102103 Piutang Usaha - BCA di Foto 1 itu harusnya bukan 821.266. Tapi 821.266 - 11.261 = 810.005
Tolong diperbaiki ya.

Terimakasih.

#6 - 06/26/2025 02:56 PM - Tri Rizqiaty
- Status changed from Assigned to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

Fixing :
Update folder API2/bin : MinovalS.MinovaES.Business.Logistic.dll

#7 - 07/01/2025 02:56 PM - haykal haykal

- File DocNo AR 00000777 nilai Utang Pajak - PPN.png added
- File DocNo AR 00000740 nilai Utang Pajak - PPN.png added
- File Total Tax beda.png added

- Status changed from QA Test to Assigned

- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Mbak Yomma,

Aku 'kan sudah mengetest lagi dengan DocNo SO 00000857 dan DocNo AR 00000777. Namun aku lihat jurnalnya tidak balance dan aku notice itu
kemungkinan karena nilai yg ada di GLAccount 2-10204 Utang Pajak - PPN. Pada DocNo AR 00000777 itu nilainya adalah 80.270 (Foto 1). Dan aku
mengambil referensi dari DocNo AR 00000740 (DocNo SO 00000846) yang mana disitu asumsinya nilai GLAccount 2-10204 Utang Pajak - PPN nya
sudah benar, yaitu 81.509 (Foto 2).

Aku membuat DocNo SO 00000857 dan 00000846 dengan isian yang exactly sama (Beban administrasi bank, harga, diskon, shipping cost, shipping
method). Tapi gaktau kenapa nilai TotalTax (yg merupakan Figure dari GLAccount 2-10204) dari kedua dokumen tersebut berbeda. Aku cek di
PTRSALESHEADER untk kedua dokumen tersebut nilai TotalTax nya berbeda padahal nilai dari field-field disebelahnya relatively sama (Foto 3).

Tolong bantu dicari tahu ya Mbak kenapa itu bisa berbeda. Padahal kalau dari secara pengisian di document SO nya sudah aku buat sama semua
untk kedua dokumen tersebut.

Terimakasih.

#8 - 07/01/2025 03:59 PM - Tri Rizqiaty
- Status changed from Assigned to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

Itu contoh data lama & msh development untuk perubahan perhitungan shippingmethod tax di Ul, bisa jadi datanya masih salah perhitungan.
Coba test pakai data sales baru.
Files

Contoh Jurnal Biaya Pengiriman Updated.xIsx
MinovalS.MinovaES.Business.Logistic.dll

Jurnal Shipping Method Lion Parcel.png

Jurnal Shipping Method bukan Lion Parcel.png
DocNo AR 00000777 nilai Utang Pajak - PPN.png
DocNo AR 00000740 nilai Utang Pajak - PPN.png
Total Tax beda.png

07/02/2025
